Bug 139247 - UHCI USB spewed "badness" diagnostic under non USB load
UHCI USB spewed "badness" diagnostic under non USB load
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 07:41 EST by Alan Cox
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-11-14 07:41:47 EST
USB wasn't in use at this time. The bus has a pointless sony built in
memory stick thing but its never used. 

[<0a8f6e96>] uhci_map_status+0x69/0x71 [uhci_hcd]
 [<0a8f7206>] uhci_result_control+0x118/0x19e [uhci_hcd]
 [<0a8f7bf4>] uhci_transfer_result+0xab/0x1c5 [uhci_hcd]
 [<0a8f87c1>] uhci_irq+0x1fb/0x29e [uhci_hcd]
 [<02280835>] usb_hcd_irq+0x26/0x4b
 [<02107f45>] handle_IRQ_event+0x25/0x4f
 [<02108a38>] do_IRQ+0x1be/0x309
 =======================
 [<022d64ea>] tcp_delack_timer+0x0/0x218
 [<022d64ea>] tcp_delack_timer+0x0/0x218
 [<022d007b>] tcp_ack+0x42c/0x492
 [<02128d01>] run_timer_softirq+0x319/0x321
 [<02124f09>] __do_softirq+0x35/0x79
 [<021096ee>] do_softirq+0x46/0x4d
 =======================
 [<02108b77>] do_IRQ+0x2fd/0x309
 [<02158662>] anon_vma_prepare+0x146/0x224
 [<02153785>] do_no_page+0x136/0x434
 [<021519cd>] unmap_vmas+0xf1/0x1cc
 [<02153c78>] handle_mm_fault+0xe4/0x21e
 [<0211953a>] do_page_fault+0x1bc/0x511
 [<02155c30>] do_mmap_pgoff+0x602/0x664
 [<0210d848>] old_mmap+0xce/0x103
 [<0210d873>] old_mmap+0xf9/0x103
 [<0211937e>] do_page_fault+0x0/0x511
Comment 1 Lonni J Friedman 2005-01-05 21:18:43 EST
FWIW, i think i'm seeing the same thing on a really old HP Omnibook
laptop with 2.6.9-1.724_FC3 (i686):

kernel: Badness in uhci_map_status at drivers/usb/host/uhci-hcd.c:726
Jan  5 18:15:04 llama-jr kernel:  [<d089dde5>]
uhci_map_status+0x69/0x71 [uhci_hcd]
Jan  5 18:15:04 llama-jr kernel:  [<d089e155>]
uhci_result_control+0x118/0x19e [uhci_hcd]
Jan  5 18:15:04 llama-jr kernel:  [<d089eb1b>]
uhci_transfer_result+0x9b/0x1af [uhci_hcd]
Jan  5 18:15:04 llama-jr kernel:  [<d089f659>] uhci_irq+0x1ed/0x28c
[uhci_hcd]
Jan  5 18:15:04 llama-jr kernel:  [<c0276791>] usb_hcd_irq+0x26/0x4b
Jan  5 18:15:04 llama-jr kernel:  [<c0107fe7>] handle_IRQ_event+0x25/0x4f
Jan  5 18:15:04 llama-jr kernel:  [<c0108921>] do_IRQ+0x11c/0x242
Jan  5 18:15:04 llama-jr kernel:  [<c0106434>] common_interrupt+0x18/0x20
Jan  5 18:15:04 llama-jr kernel:  [<c010403b>] default_idle+0x23/0x26
Jan  5 18:15:04 llama-jr kernel:  [<c011665b>] apm_cpu_idle+0xeb/0x121
Jan  5 18:15:04 llama-jr kernel:  [<c010408c>] cpu_idle+0x1f/0x34
Jan  5 18:15:04 llama-jr kernel:  [<c03a46b6>] start_kernel+0x20f/0x211
Comment 2 Dave Jones 2005-07-15 14:28:01 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Lonni J Friedman 2005-07-15 14:30:30 EDT
I hadn't seen this in quite a while (and i've since upgraded to FC4).  I don't
know whether my issue wasn't the same as this bug, or if a previous kernel had
resolved it.
Comment 4 Dave Jones 2005-10-02 20:50:39 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.